All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.servlet.tbeans.form.html
Class CheckBoxList

    com.sas.servlet.tbeans.form.html.CheckBoxList

All Implemented Interfaces:
  com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, ComplexStyleInterface, FormElementModificationEventInterface, ListBoxViewStyleKeysInterface, com.sas.servlet.tbeans.form.JavaScriptObjectCreationInterface, com.sas.servlet.tbeans.JavaScriptEventHandlerInterface, RenderableInterface, TransformationInterface, GenericValidatorInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

    @SASScope(value="ALL")
    @SubjectToChange
    public class CheckBoxList

The CheckBoxList is a TransformationBean™ that generates the appropriate HTML 4.0 and JavaScript for creating a component that allows the user to select one or more objects from a list by using checkboxes in place of labels.

The CheckBoxList Transformation Bean gathers the alternatives from a model via the setModel method. A model must implement the javax.swing.ListModel interface in order to be used. The items contained in the model should of type com.sas.servlet.tbeans.models.JavaScriptNode.

### Accessibility

The Section 508 Accessibility standards, such as making application tasks available through the keyboard, are incorporated into our components to improve usability for all of our software products which benefits every SAS user.

This component is fully compliant with the Web-based standards outlined in Section 508. The compliance is based on producing the correct output, having keyboard equivalent and surfacing the necessary properties to assist consumers of the component to be compliant.

The following keyboard equivalents are supported by this component:

KeyBoard Access | Behavior/Result
--- | ---
TAB | TAB moves the focus to the CheckBoxList. Hitting TAB while the CheckBoxList has focus will navigate focus to the next tabable component.
ALT+ACCESSKEY | Pressing ALT+ACCESSKEY will navigate focus to the CheckBoxList. The ACCESSKEY indicates the keyboard character used as a shortcut to activate the element.
SHIFT+UP/DOWN | Pressing SHIFT+UP arrow or SHIFT+DOWN arrow while the CheckBoxList has focus, moves focus and extends selection in the CheckBoxList. If one or more items are selected at the time of the SHIFT+UP/DOWN, selection extends from the last-selected item to the focus item. If none were selected, selection extends from a default item to the focus item. By default, the default item is the first in the list, but if any items were previously selected, the last-selected item becomes the default.
CTRL+UP/DOWN | Pressing CTRL+UP arrow or CTRL+DOWN arrow while the CheckBoxList has focus, moves focus (but not selection) to the previous/next item in the ListBoxView.
SPACEBAR | Pressing SPACEBAR while the CheckBoxList has focus, selects the focus item and adds it to the selection. It also toggles the selected state of the checkbox.
CTRL+SPACEBAR | Pressing CTRL+SPACEBAR while the CheckBoxList has focus toggles the selected state of the focus item.
SHIFT+SPACEBAR | Pressing SHIFT+SPACEBAR while the CheckBoxList has focus, extends the selection from the default item to the focus item (rules for the default item are the same as for SHIFT+UP/DOWN arrow keys).
UP/DOWN ARROW | Pressing UP arrow or DOWN arrow while the CheckBoxList has focus will move through the entries in the list.

The following properties are provided to assist in making the application using this component accessible:

- AccessKey
- TabIndex
- KeyDown
- KeyPress
- KeyUp

The CheckBoxList is one of several TransformationBeans™ that rely on a set of style classes that are used by default when generating the resulting markup language. For more information on style sheets and the default style classes that apply to this TransformationBean™, refer to the AppDev Studio Developer Site. You'll find a useful reference document entitled Cascading Style Sheets, Images, and TransformationBeans™ as well as the TransformationBeans™ Style Sheet Reference.

The CheckBoxList is one of several TransformationBeans™ that rely on JavaScript to provide some of its functionality. These JavaScript files are including automatically by the tbean. See JavaScriptIncludeHandler for more information about how these files are included and how to customize this behavior. The CheckBoxList uses the following JavaScript files:

  sas_CheckBoxList.js
  sas_listBoxView.js
  sas_node.js

Note that the toString() method on this class calls the `write` method, which may have undesirable side effects. See BaseTransformation.toString() for more information. Debuggers often use toString() to show the value of a variable, and this may cause unexpected behavior while debugging

For More Information:

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Examples for this class may be found on the Examples Site.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.servlet.tbeans.form.html.ListBoxView
`PARENT_RB_KEY, RB_KEY`

Fields inherited from class com.sas.servlet.tbeans.form.BaseListBox
`model`

Fields inherited from interface com.sas.servlet.tbeans.form.html.ListBoxViewStyleKeysInterface
`LISTBOXVIEW_IMAGES, LISTBOXVIEW_INNER_DIV, LISTBOXVIEW_NO_IMAGES, LISTBOXVIEW_OUTER_DIV, LISTBOXVIEW_OUTER_DIV_XP, LISTBOXVIEW_ROW_HIGHLIGHT, LISTBOXVIEW_ROW_UNHIGHLIGHT, LISTBOXVIEW_SELECTED, LISTBOXVIEW_TABLE, LISTBOXVIEW_TABLE_XP, LISTBOXVIEW_TEXT`

Constructor Summary
`CheckBoxList()` Construct a new CheckBoxList
`CheckBoxList(javax.swing.ListModel model)` Construct a new CheckBoxList
`CheckBoxList(java.lang.String name, javax.swing.ListModel model)` Construct a new CheckBoxList

Method Summary
`void` | `write(java.io.PrintWriter out)` Writes the transformed representation of the object
`protected void` | `writeAdditionalInitParams(java.io.PrintWriter out)` Writes out any additional init parameters

Methods inherited from class com.sas.servlet.tbeans.form.html.ListBoxView
`getStyleMap`

Methods inherited from class com.sas.servlet.tbeans.form.BaseListBoxView
`getDeselectNodeFunctionName, getImageLocation, getListConstructorName, getOnMouseDown, getSelectNodeFunctionName, getType, isImagesEnabled, isImagesOnly, setDeselectNodeFunctionName, setImageLocation, setImagesEnabled, setImagesOnly, setListConstructorName, setOnMouseDown, setSelectNodeFunctionName, setType`

Methods inherited from class com.sas.servlet.tbeans.form.BaseListBox
`getModel, getMultipleSelections, getSelectedIndex, getSelectedIndexes, getSelectedItem, getSelectedItems, getSize, isSelected, isSelected, isValidateSelection, setModel, setMultipleSelections, setSelectedIndex, setSelectedIndexes, setSelectedItem, setSelectedItem, setSelectedItems, setSelectedItems, setSize, setValidateSelection`

Methods inherited from class com.sas.servlet.tbeans.form.BaseFormElement
`getAccessKey, getErrorHandler, getModificationEventName, getName, getOnBlur, getOnChange, getOnClick, getOnDblClick, getOnFocus, getOnKeyDown, getOnKeyPress, getOnKeyUp, getOnMouseMove, getOnMouseOut, getOnMouseOver, getOnMouseUp, getOnSelect, getStyleInfo, getTabIndex, getTitle, getValidationFunctions, getValidator, isEnabled, isValid, isValidationEnabled, setAccessKey, setEnabled, setErrorHandler, setId, setModificationEventName, setName, setOnBlur, setOnChange, setOnClick, setOnDblClick, setOnFocus, setOnKeyDown, setOnKeyPress, setOnKeyUp, setOnMouseMove, setOnMouseOut, setOnMouseOver, setOnMouseUp, setOnSelect, setStyleInfo, setTabIndex, setTitle, setValidator, writeJavaScriptObject, writeJavaScriptObjectValidate, writeJavaScriptValidatorObject, writeValidationScript`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCleanUpResourcesOn, setCustomAttributes, setDescription, setInputTransform, setLocale, setLocaleDependentProperties, setObjectData, setObjectDataProperty, setOutputTransform, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Constructor Detail

### CheckBoxList

    public CheckBoxList()

  Construct a new CheckBoxList

### CheckBoxList

    public CheckBoxList(javax.swing.ListModel model)

  Construct a new CheckBoxList

  Parameters:
    `model` - The model for the CheckBoxList alternatives

### CheckBoxList

    public CheckBoxList(java.lang.String name,
                        javax.swing.ListModel model)

  Construct a new CheckBoxList

  Parameters:
    `name` - The field name
    `model` - The model for the CheckBoxList alternatives

Method Detail

### write

    public void write(java.io.PrintWriter out)
               throws java.io.IOException

  Writes the transformed representation of the object

  Specified by:
    `write` in interface `TransformationInterface`
  Specified by:
    `write` in interface `com.sas.util.WriteToPrintWriterInterface`
  Overrides:
    `write` in class `ListBoxView`
  Parameters:
    `out` - The output stream
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

### writeAdditionalInitParams

    protected void writeAdditionalInitParams(java.io.PrintWriter out)

  Writes out any additional init parameters

  Overrides:
    `writeAdditionalInitParams` in class `ListBoxView`
  Parameters:
    `out` - The PrintWriter

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.